Subject: RE: >/dev/stderr broken in /bin/sh?, makewhatis unhappy, & apropos confused, or just me?
From: Randall R Schulz <[email-masked]>
To: [email-masked]
Cc: <[email-masked]>
Date: Mon, 10 Mar 2003 09:31:41 -0800

Larry,

At 22:40 2003-03-09, LA Walsh wrote:

> > A couple of points to note:
> > 1) In Cygwin, /bin/sh != bash.  /bin/sh == ash, and it doesn't support
> >    bash'isms like /dev/stderr.  Use >&2 and >&1 in /bin/sh.
>-----
>     "Bash"ism?
>
> >From Oreillynet:
>
>     Some UNIX systems, and utilities such as gawk, support
>     special filenames like /dev/stdin, /dev/stdout, and
>     /dev/stderr. You can use these just as you'd use other
>     files.
>
>I just happened to look and it is on my SuSE system as well -- I didn't
>know bash had special handling for it till just now...learn something
>new every day!

Whew! I'm glad I'm not the only one who didn't realize BASH was 
handling these on systems where there's no std* files in /dev.

On my SuSE 8.1 (kernel 2.4.19), /dev/std{in,out,err} are symbolic links 
to fd/{0,1,2} (where /dev/fd is a symbolic link to /proc/self/fd).

>Oh, you'll like this one: "Learn Linux in 15 minutes a week!":
>http://www.2000trainers.com/article.aspx?articleID=144&page=2
>
>Says /dev/std{in|err|out} are standard on linux systems.
>Maybe Cygwin should be renamed "CyNUX": "Cygwin is Not
>Unix or Linux"? :-)

Maybe "CygNoX?" The lore could be that it's closely related to the well 
known air pollutants NOx but with the primary toxic and polluting 
effects on the infosphere, not the atmosphere. Or  maybe it could be 
said to stand for the "Cygwin school of hard nox?

>I guess the author of 'makewhatis' didn't know this either.  Perhaps
>it's on enough systems.

That's the great thing about standards. There are so many to choose 
from (and assume).

Randall Schulz 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/